/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.ifish.bean;

import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 推送详情表(tbl_push_list)
 *
 * @author bianj
 * @version 1.0.0 2017-07-03
 */
@Entity
@Table(name = "tbl_push_list")
public class Tbl_Push_List implements java.io.Serializable {

    /**
     * 版本号
     */
    private static final long serialVersionUID = -7760764975977010045L;

    /**
     * ID
     */
    @Id
    @Column(name = "push_id", unique = true, nullable = false, length = 10)
    private Integer pushId;

    /**
     * 用户Id
     */
    @Column(name = "user_id", nullable = true, length = 10)
    private Integer userId;

    /**
     * 设备Id
     */
    @Column(name = "device_id", nullable = true, length = 10)
    private Integer deviceId;

    /**
     * 显示名称
     */
    @Column(name = "show_name", nullable = true, length = 20)
    private String showName;

    /**
     * 推送手机类型
     */
    @Column(name = "phone_type", nullable = true, length = 20)
    private String phoneType;

    /**
     * 推送消息类型
     * 1."remove_device","解绑通知";2."wendu_warn","温度预警;3."qu_reply","问题反馈";4."app_update","IOS更新推送";5."remind_water","换水提醒";6."offline_push","离线通知";7."send_report","看护报告";8."shops_push","看护通知";9."all_push","所有用户推送"
     */
    @Column(name = "push_type", nullable = true, length = 20)
    private String pushType;

    /**
     * 推送标题
     */
    @Column(name = "push_title", nullable = true, length = 100)
    private String pushTitle;

    /**
     * 推送内容
     */
    @Column(name = "push_context", nullable = true, length = 200)
    private String pushContext;

    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = true)
    private Date createTime;

    /**
     * 链接
     */
    @Column(name = "push_link", nullable = false, length = 100)
    private String pushLink;

    /**
     * 极光推送状态
     */
    @Column(name = "jpush_status", nullable = true, length = 1)
    private String jpushStatus;

    /**
     * 谷歌推送状态
     */
    @Column(name = "google_status", nullable = true, length = 1)
    private String googleStatus;

    /**
     * 看护报告Id
     */
    @Column(name = "report_id", nullable = true, length = 10)
    private Integer reportId;

    /**
     * MCU启动次数
     */
    @Column(name = "mcu_count", nullable = true, length = 10)
    private Integer mcuCount;

    /**
     * 模块启动次数
     */
    @Column(name = "modular_count", nullable = true, length = 10)
    private Integer modularCount;

    /**
     * 连接路由器次数
     */
    @Column(name = "router_count", nullable = true, length = 10)
    private Integer routerCount;

    /**
     * 成功连接服务器次数
     */
    @Column(name = "server_count", nullable = true, length = 10)
    private Integer serverCount;

    /**
     * 尝试连接服务器次数
     */
    @Column(name = "server_try_count", nullable = true, length = 10)
    private Integer serverTryCount;

    /**
     * 获取ID
     *
     * @return ID
     */
    public Integer getPushId() {
        return this.pushId;
    }

    /**
     * 设置ID
     *
     * @param pushId ID
     */
    public void setPushId(Integer pushId) {
        this.pushId = pushId;
    }

    /**
     * 获取用户Id
     *
     * @return 用户Id
     */
    public Integer getUserId() {
        return this.userId;
    }

    /**
     * 设置用户Id
     *
     * @param userId 用户Id
     */
    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    /**
     * 获取设备Id
     *
     * @return 设备Id
     */
    public Integer getDeviceId() {
        return this.deviceId;
    }

    /**
     * 设置设备Id
     *
     * @param deviceId 设备Id
     */
    public void setDeviceId(Integer deviceId) {
        this.deviceId = deviceId;
    }

    /**
     * 获取显示名称
     *
     * @return 显示名称
     */
    public String getShowName() {
        return this.showName;
    }

    /**
     * 设置显示名称
     *
     * @param showName 显示名称
     */
    public void setShowName(String showName) {
        this.showName = showName;
    }

    /**
     * 获取推送手机类型
     *
     * @return 推送手机类型
     */
    public String getPhoneType() {
        return this.phoneType;
    }

    /**
     * 设置推送手机类型
     *
     * @param phoneType 推送手机类型
     */
    public void setPhoneType(String phoneType) {
        this.phoneType = phoneType;
    }

    /**
     * 获取推送消息类型
     * 1."remove_device","解绑通知";2."wendu_warn","温度预警;3."qu_reply","问题反馈";4."app_update","IOS更新推送";5."remind_water","换水提醒";6."offline_push","离线通知";7."send_report","看护报告";8."shops_push","看护通知";9."all_push","所有用户推送"
     *
     * @return 推送消息类型 1."remove_device"
     */
    public String getPushType() {
        return this.pushType;
    }

    /**
     * 设置推送消息类型
     * 1."remove_device","解绑通知";2."wendu_warn","温度预警;3."qu_reply","问题反馈";4."app_update","IOS更新推送";5."remind_water","换水提醒";6."offline_push","离线通知";7."send_report","看护报告";8."shops_push","看护通知";9."all_push","所有用户推送"
     *
     * @param pushType 推送消息类型
     * 1."remove_device","解绑通知";2."wendu_warn","温度预警;3."qu_reply","问题反馈";4."app_update","IOS更新推送";5."remind_water","换水提醒";6."offline_push","离线通知";7."send_report","看护报告";8."shops_push","看护通知";9."all_push","所有用户推送"
     */
    public void setPushType(String pushType) {
        this.pushType = pushType;
    }

    /**
     * 获取推送标题
     *
     * @return 推送标题
     */
    public String getPushTitle() {
        return this.pushTitle;
    }

    /**
     * 设置推送标题
     *
     * @param pushTitle 推送标题
     */
    public void setPushTitle(String pushTitle) {
        this.pushTitle = pushTitle;
    }

    /**
     * 获取推送内容
     *
     * @return 推送内容
     */
    public String getPushContext() {
        return this.pushContext;
    }

    /**
     * 设置推送内容
     *
     * @param pushContext 推送内容
     */
    public void setPushContext(String pushContext) {
        this.pushContext = pushContext;
    }

    /**
     * 获取创建时间
     *
     * @return 创建时间
     */
    public Date getCreateTime() {
        return this.createTime;
    }

    /**
     * 设置创建时间
     *
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取链接
     *
     * @return 链接
     */
    public String getPushLink() {
        return this.pushLink;
    }

    /**
     * 设置链接
     *
     * @param pushLink 链接
     */
    public void setPushLink(String pushLink) {
        this.pushLink = pushLink;
    }

    /**
     * 获取极光推送状态
     *
     * @return 极光推送状态
     */
    public String getJpushStatus() {
        return this.jpushStatus;
    }

    /**
     * 设置极光推送状态
     *
     * @param jpushStatus 极光推送状态
     */
    public void setJpushStatus(String jpushStatus) {
        this.jpushStatus = jpushStatus;
    }

    /**
     * 获取谷歌推送状态
     *
     * @return 谷歌推送状态
     */
    public String getGoogleStatus() {
        return this.googleStatus;
    }

    /**
     * 设置谷歌推送状态
     *
     * @param googleStatus 谷歌推送状态
     */
    public void setGoogleStatus(String googleStatus) {
        this.googleStatus = googleStatus;
    }

    /**
     * 获取看护报告Id
     *
     * @return 看护报告Id
     */
    public Integer getReportId() {
        return this.reportId;
    }

    /**
     * 设置看护报告Id
     *
     * @param reportId 看护报告Id
     */
    public void setReportId(Integer reportId) {
        this.reportId = reportId;
    }

    /**
     * 获取MCU启动次数
     *
     * @return MCU启动次数
     */
    public Integer getMcuCount() {
        return this.mcuCount;
    }

    /**
     * 设置MCU启动次数
     *
     * @param mcuCount MCU启动次数
     */
    public void setMcuCount(Integer mcuCount) {
        this.mcuCount = mcuCount;
    }

    /**
     * 获取模块启动次数
     *
     * @return 模块启动次数
     */
    public Integer getModularCount() {
        return this.modularCount;
    }

    /**
     * 设置模块启动次数
     *
     * @param modularCount 模块启动次数
     */
    public void setModularCount(Integer modularCount) {
        this.modularCount = modularCount;
    }

    /**
     * 获取连接路由器次数
     *
     * @return 连接路由器次数
     */
    public Integer getRouterCount() {
        return this.routerCount;
    }

    /**
     * 设置连接路由器次数
     *
     * @param routerCount 连接路由器次数
     */
    public void setRouterCount(Integer routerCount) {
        this.routerCount = routerCount;
    }

    /**
     * 获取成功连接服务器次数
     *
     * @return 成功连接服务器次数
     */
    public Integer getServerCount() {
        return this.serverCount;
    }

    /**
     * 设置成功连接服务器次数
     *
     * @param serverCount 成功连接服务器次数
     */
    public void setServerCount(Integer serverCount) {
        this.serverCount = serverCount;
    }

    /**
     * 获取尝试连接服务器次数
     *
     * @return 尝试连接服务器次数
     */
    public Integer getServerTryCount() {
        return this.serverTryCount;
    }

    /**
     * 设置尝试连接服务器次数
     *
     * @param serverTryCount 尝试连接服务器次数
     */
    public void setServerTryCount(Integer serverTryCount) {
        this.serverTryCount = serverTryCount;
    }
}
